| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Gaudi::Utils::MapBase Class Reference

Helper base-class to allow the generic Python-decoration for all "map-like" classes in Gaudi. More...

`#include <GaudiKernel/MapBase.h>`

Inheritance diagram for Gaudi::Utils::MapBase:
[legend]

## Public Member Functions
virtual | ~MapBase ()
| virtual destructor More...

## Protected Member Functions
void | throw_out_of_range_exception () const
| throw std::out_of_range exception More...

## Detailed Description

Helper base-class to allow the generic Python-decoration for all "map-like" classes in Gaudi.

The corresponding Python class provide the useful iterators, look-up, etc. This base-class in python is decorated with the following methods

- `len`
- `iter`
- `iteritems`
- `contains`
- `repr`
- `setitem`
- `delitem`
- `str`
- `repr`
- `keys`
- `items`
- `values`
- `get`
- `has_key`

Thus it behaves practically identically with builtin-type `dict`

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  2010-02-20

Definition at line 44 of file MapBase.h.

## Constructor & Destructor Documentation

Gaudi::Utils::MapBase::~MapBase | ( |  | ) |
| virtual

virtual destructor

Definition at line 22 of file MapBase.cpp.

22 {}

## Member Function Documentation

void Gaudi::Utils::MapBase::throw_out_of_range_exception | ( |  | ) | const
| protected

throw std::out_of_range exception

See also
  std::out_of_range

Definition at line 28 of file MapBase.cpp.

29 {
30 std::string _nam = System::typeinfoName( typeid( *this ) );
31 throw std::out_of_range( _nam.c_str() );
32 }
std::out_of_range
STL class.
System::typeinfoName
GAUDI_API const std::string typeinfoName(const std::type_info &)
Get platform independent information about the class type.
Definition: System.cpp:329
std::string
STL class.
std::string::c_str
T c_str(T...args)

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/MapBase.h
- GaudiKernel/src/Lib/MapBase.cpp